Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network231.192.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
231.192.0.0
Broadcast address
231.199.255.255
First usable
231.192.0.1
Last usable
231.199.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E7C00000 · Integer 3888119808 to 3888644095
Reverse DNS zones
192.231.in-addr.arpa
193.231.in-addr.arpa
194.231.in-addr.arpa
195.231.in-addr.arpa
196.231.in-addr.arpa
197.231.in-addr.arpa
198.231.in-addr.arpa
199.231.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100111.11000000.00000000.00000000231.192.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11100111.11000000.00000000.00000000231.192.0.0
Broadcast11100111.11000111.11111111.11111111231.199.255.255
Split into smaller subnets/24

231.192.0.0/13 makes 2,048 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1231.192.0.0/24231.192.0.1 to 231.192.0.254231.192.0.255254
2231.192.1.0/24231.192.1.1 to 231.192.1.254231.192.1.255254
3231.192.2.0/24231.192.2.1 to 231.192.2.254231.192.2.255254
4231.192.3.0/24231.192.3.1 to 231.192.3.254231.192.3.255254
5231.192.4.0/24231.192.4.1 to 231.192.4.254231.192.4.255254
6231.192.5.0/24231.192.5.1 to 231.192.5.254231.192.5.255254
7231.192.6.0/24231.192.6.1 to 231.192.6.254231.192.6.255254
8231.192.7.0/24231.192.7.1 to 231.192.7.254231.192.7.255254
9231.192.8.0/24231.192.8.1 to 231.192.8.254231.192.8.255254
10231.192.9.0/24231.192.9.1 to 231.192.9.254231.192.9.255254
11231.192.10.0/24231.192.10.1 to 231.192.10.254231.192.10.255254
12231.192.11.0/24231.192.11.1 to 231.192.11.254231.192.11.255254
13231.192.12.0/24231.192.12.1 to 231.192.12.254231.192.12.255254
14231.192.13.0/24231.192.13.1 to 231.192.13.254231.192.13.255254
15231.192.14.0/24231.192.14.1 to 231.192.14.254231.192.14.255254
16231.192.15.0/24231.192.15.1 to 231.192.15.254231.192.15.255254
17231.192.16.0/24231.192.16.1 to 231.192.16.254231.192.16.255254
18231.192.17.0/24231.192.17.1 to 231.192.17.254231.192.17.255254
19231.192.18.0/24231.192.18.1 to 231.192.18.254231.192.18.255254
20231.192.19.0/24231.192.19.1 to 231.192.19.254231.192.19.255254
21231.192.20.0/24231.192.20.1 to 231.192.20.254231.192.20.255254
22231.192.21.0/24231.192.21.1 to 231.192.21.254231.192.21.255254
23231.192.22.0/24231.192.22.1 to 231.192.22.254231.192.22.255254
24231.192.23.0/24231.192.23.1 to 231.192.23.254231.192.23.255254
25231.192.24.0/24231.192.24.1 to 231.192.24.254231.192.24.255254
26231.192.25.0/24231.192.25.1 to 231.192.25.254231.192.25.255254
27231.192.26.0/24231.192.26.1 to 231.192.26.254231.192.26.255254
28231.192.27.0/24231.192.27.1 to 231.192.27.254231.192.27.255254
29231.192.28.0/24231.192.28.1 to 231.192.28.254231.192.28.255254
30231.192.29.0/24231.192.29.1 to 231.192.29.254231.192.29.255254
31231.192.30.0/24231.192.30.1 to 231.192.30.254231.192.30.255254
32231.192.31.0/24231.192.31.1 to 231.192.31.254231.192.31.255254
33231.192.32.0/24231.192.32.1 to 231.192.32.254231.192.32.255254
34231.192.33.0/24231.192.33.1 to 231.192.33.254231.192.33.255254
35231.192.34.0/24231.192.34.1 to 231.192.34.254231.192.34.255254
36231.192.35.0/24231.192.35.1 to 231.192.35.254231.192.35.255254
37231.192.36.0/24231.192.36.1 to 231.192.36.254231.192.36.255254
38231.192.37.0/24231.192.37.1 to 231.192.37.254231.192.37.255254
39231.192.38.0/24231.192.38.1 to 231.192.38.254231.192.38.255254
40231.192.39.0/24231.192.39.1 to 231.192.39.254231.192.39.255254
41231.192.40.0/24231.192.40.1 to 231.192.40.254231.192.40.255254
42231.192.41.0/24231.192.41.1 to 231.192.41.254231.192.41.255254
43231.192.42.0/24231.192.42.1 to 231.192.42.254231.192.42.255254
44231.192.43.0/24231.192.43.1 to 231.192.43.254231.192.43.255254
45231.192.44.0/24231.192.44.1 to 231.192.44.254231.192.44.255254
46231.192.45.0/24231.192.45.1 to 231.192.45.254231.192.45.255254
47231.192.46.0/24231.192.46.1 to 231.192.46.254231.192.46.255254
48231.192.47.0/24231.192.47.1 to 231.192.47.254231.192.47.255254
49231.192.48.0/24231.192.48.1 to 231.192.48.254231.192.48.255254
50231.192.49.0/24231.192.49.1 to 231.192.49.254231.192.49.255254
51231.192.50.0/24231.192.50.1 to 231.192.50.254231.192.50.255254
52231.192.51.0/24231.192.51.1 to 231.192.51.254231.192.51.255254
53231.192.52.0/24231.192.52.1 to 231.192.52.254231.192.52.255254
54231.192.53.0/24231.192.53.1 to 231.192.53.254231.192.53.255254
55231.192.54.0/24231.192.54.1 to 231.192.54.254231.192.54.255254
56231.192.55.0/24231.192.55.1 to 231.192.55.254231.192.55.255254
57231.192.56.0/24231.192.56.1 to 231.192.56.254231.192.56.255254
58231.192.57.0/24231.192.57.1 to 231.192.57.254231.192.57.255254
59231.192.58.0/24231.192.58.1 to 231.192.58.254231.192.58.255254
60231.192.59.0/24231.192.59.1 to 231.192.59.254231.192.59.255254
61231.192.60.0/24231.192.60.1 to 231.192.60.254231.192.60.255254
62231.192.61.0/24231.192.61.1 to 231.192.61.254231.192.61.255254
63231.192.62.0/24231.192.62.1 to 231.192.62.254231.192.62.255254
64231.192.63.0/24231.192.63.1 to 231.192.63.254231.192.63.255254
65231.192.64.0/24231.192.64.1 to 231.192.64.254231.192.64.255254
66231.192.65.0/24231.192.65.1 to 231.192.65.254231.192.65.255254
67231.192.66.0/24231.192.66.1 to 231.192.66.254231.192.66.255254
68231.192.67.0/24231.192.67.1 to 231.192.67.254231.192.67.255254
69231.192.68.0/24231.192.68.1 to 231.192.68.254231.192.68.255254
70231.192.69.0/24231.192.69.1 to 231.192.69.254231.192.69.255254
71231.192.70.0/24231.192.70.1 to 231.192.70.254231.192.70.255254
72231.192.71.0/24231.192.71.1 to 231.192.71.254231.192.71.255254
73231.192.72.0/24231.192.72.1 to 231.192.72.254231.192.72.255254
74231.192.73.0/24231.192.73.1 to 231.192.73.254231.192.73.255254
75231.192.74.0/24231.192.74.1 to 231.192.74.254231.192.74.255254
76231.192.75.0/24231.192.75.1 to 231.192.75.254231.192.75.255254
77231.192.76.0/24231.192.76.1 to 231.192.76.254231.192.76.255254
78231.192.77.0/24231.192.77.1 to 231.192.77.254231.192.77.255254
79231.192.78.0/24231.192.78.1 to 231.192.78.254231.192.78.255254
80231.192.79.0/24231.192.79.1 to 231.192.79.254231.192.79.255254
81231.192.80.0/24231.192.80.1 to 231.192.80.254231.192.80.255254
82231.192.81.0/24231.192.81.1 to 231.192.81.254231.192.81.255254
83231.192.82.0/24231.192.82.1 to 231.192.82.254231.192.82.255254
84231.192.83.0/24231.192.83.1 to 231.192.83.254231.192.83.255254
85231.192.84.0/24231.192.84.1 to 231.192.84.254231.192.84.255254
86231.192.85.0/24231.192.85.1 to 231.192.85.254231.192.85.255254
87231.192.86.0/24231.192.86.1 to 231.192.86.254231.192.86.255254
88231.192.87.0/24231.192.87.1 to 231.192.87.254231.192.87.255254
89231.192.88.0/24231.192.88.1 to 231.192.88.254231.192.88.255254
90231.192.89.0/24231.192.89.1 to 231.192.89.254231.192.89.255254
91231.192.90.0/24231.192.90.1 to 231.192.90.254231.192.90.255254
92231.192.91.0/24231.192.91.1 to 231.192.91.254231.192.91.255254
93231.192.92.0/24231.192.92.1 to 231.192.92.254231.192.92.255254
94231.192.93.0/24231.192.93.1 to 231.192.93.254231.192.93.255254
95231.192.94.0/24231.192.94.1 to 231.192.94.254231.192.94.255254
96231.192.95.0/24231.192.95.1 to 231.192.95.254231.192.95.255254
97231.192.96.0/24231.192.96.1 to 231.192.96.254231.192.96.255254
98231.192.97.0/24231.192.97.1 to 231.192.97.254231.192.97.255254
99231.192.98.0/24231.192.98.1 to 231.192.98.254231.192.98.255254
100231.192.99.0/24231.192.99.1 to 231.192.99.254231.192.99.255254
101231.192.100.0/24231.192.100.1 to 231.192.100.254231.192.100.255254
102231.192.101.0/24231.192.101.1 to 231.192.101.254231.192.101.255254
103231.192.102.0/24231.192.102.1 to 231.192.102.254231.192.102.255254
104231.192.103.0/24231.192.103.1 to 231.192.103.254231.192.103.255254
105231.192.104.0/24231.192.104.1 to 231.192.104.254231.192.104.255254
106231.192.105.0/24231.192.105.1 to 231.192.105.254231.192.105.255254
107231.192.106.0/24231.192.106.1 to 231.192.106.254231.192.106.255254
108231.192.107.0/24231.192.107.1 to 231.192.107.254231.192.107.255254
109231.192.108.0/24231.192.108.1 to 231.192.108.254231.192.108.255254
110231.192.109.0/24231.192.109.1 to 231.192.109.254231.192.109.255254
111231.192.110.0/24231.192.110.1 to 231.192.110.254231.192.110.255254
112231.192.111.0/24231.192.111.1 to 231.192.111.254231.192.111.255254
113231.192.112.0/24231.192.112.1 to 231.192.112.254231.192.112.255254
114231.192.113.0/24231.192.113.1 to 231.192.113.254231.192.113.255254
115231.192.114.0/24231.192.114.1 to 231.192.114.254231.192.114.255254
116231.192.115.0/24231.192.115.1 to 231.192.115.254231.192.115.255254
117231.192.116.0/24231.192.116.1 to 231.192.116.254231.192.116.255254
118231.192.117.0/24231.192.117.1 to 231.192.117.254231.192.117.255254
119231.192.118.0/24231.192.118.1 to 231.192.118.254231.192.118.255254
120231.192.119.0/24231.192.119.1 to 231.192.119.254231.192.119.255254
121231.192.120.0/24231.192.120.1 to 231.192.120.254231.192.120.255254
122231.192.121.0/24231.192.121.1 to 231.192.121.254231.192.121.255254
123231.192.122.0/24231.192.122.1 to 231.192.122.254231.192.122.255254
124231.192.123.0/24231.192.123.1 to 231.192.123.254231.192.123.255254
125231.192.124.0/24231.192.124.1 to 231.192.124.254231.192.124.255254
126231.192.125.0/24231.192.125.1 to 231.192.125.254231.192.125.255254
127231.192.126.0/24231.192.126.1 to 231.192.126.254231.192.126.255254
128231.192.127.0/24231.192.127.1 to 231.192.127.254231.192.127.255254
129231.192.128.0/24231.192.128.1 to 231.192.128.254231.192.128.255254
130231.192.129.0/24231.192.129.1 to 231.192.129.254231.192.129.255254
131231.192.130.0/24231.192.130.1 to 231.192.130.254231.192.130.255254
132231.192.131.0/24231.192.131.1 to 231.192.131.254231.192.131.255254
133231.192.132.0/24231.192.132.1 to 231.192.132.254231.192.132.255254
134231.192.133.0/24231.192.133.1 to 231.192.133.254231.192.133.255254
135231.192.134.0/24231.192.134.1 to 231.192.134.254231.192.134.255254
136231.192.135.0/24231.192.135.1 to 231.192.135.254231.192.135.255254
137231.192.136.0/24231.192.136.1 to 231.192.136.254231.192.136.255254
138231.192.137.0/24231.192.137.1 to 231.192.137.254231.192.137.255254
139231.192.138.0/24231.192.138.1 to 231.192.138.254231.192.138.255254
140231.192.139.0/24231.192.139.1 to 231.192.139.254231.192.139.255254
141231.192.140.0/24231.192.140.1 to 231.192.140.254231.192.140.255254
142231.192.141.0/24231.192.141.1 to 231.192.141.254231.192.141.255254
143231.192.142.0/24231.192.142.1 to 231.192.142.254231.192.142.255254
144231.192.143.0/24231.192.143.1 to 231.192.143.254231.192.143.255254
145231.192.144.0/24231.192.144.1 to 231.192.144.254231.192.144.255254
146231.192.145.0/24231.192.145.1 to 231.192.145.254231.192.145.255254
147231.192.146.0/24231.192.146.1 to 231.192.146.254231.192.146.255254
148231.192.147.0/24231.192.147.1 to 231.192.147.254231.192.147.255254
149231.192.148.0/24231.192.148.1 to 231.192.148.254231.192.148.255254
150231.192.149.0/24231.192.149.1 to 231.192.149.254231.192.149.255254
151231.192.150.0/24231.192.150.1 to 231.192.150.254231.192.150.255254
152231.192.151.0/24231.192.151.1 to 231.192.151.254231.192.151.255254
153231.192.152.0/24231.192.152.1 to 231.192.152.254231.192.152.255254
154231.192.153.0/24231.192.153.1 to 231.192.153.254231.192.153.255254
155231.192.154.0/24231.192.154.1 to 231.192.154.254231.192.154.255254
156231.192.155.0/24231.192.155.1 to 231.192.155.254231.192.155.255254
157231.192.156.0/24231.192.156.1 to 231.192.156.254231.192.156.255254
158231.192.157.0/24231.192.157.1 to 231.192.157.254231.192.157.255254
159231.192.158.0/24231.192.158.1 to 231.192.158.254231.192.158.255254
160231.192.159.0/24231.192.159.1 to 231.192.159.254231.192.159.255254
161231.192.160.0/24231.192.160.1 to 231.192.160.254231.192.160.255254
162231.192.161.0/24231.192.161.1 to 231.192.161.254231.192.161.255254
163231.192.162.0/24231.192.162.1 to 231.192.162.254231.192.162.255254
164231.192.163.0/24231.192.163.1 to 231.192.163.254231.192.163.255254
165231.192.164.0/24231.192.164.1 to 231.192.164.254231.192.164.255254
166231.192.165.0/24231.192.165.1 to 231.192.165.254231.192.165.255254
167231.192.166.0/24231.192.166.1 to 231.192.166.254231.192.166.255254
168231.192.167.0/24231.192.167.1 to 231.192.167.254231.192.167.255254
169231.192.168.0/24231.192.168.1 to 231.192.168.254231.192.168.255254
170231.192.169.0/24231.192.169.1 to 231.192.169.254231.192.169.255254
171231.192.170.0/24231.192.170.1 to 231.192.170.254231.192.170.255254
172231.192.171.0/24231.192.171.1 to 231.192.171.254231.192.171.255254
173231.192.172.0/24231.192.172.1 to 231.192.172.254231.192.172.255254
174231.192.173.0/24231.192.173.1 to 231.192.173.254231.192.173.255254
175231.192.174.0/24231.192.174.1 to 231.192.174.254231.192.174.255254
176231.192.175.0/24231.192.175.1 to 231.192.175.254231.192.175.255254
177231.192.176.0/24231.192.176.1 to 231.192.176.254231.192.176.255254
178231.192.177.0/24231.192.177.1 to 231.192.177.254231.192.177.255254
179231.192.178.0/24231.192.178.1 to 231.192.178.254231.192.178.255254
180231.192.179.0/24231.192.179.1 to 231.192.179.254231.192.179.255254
181231.192.180.0/24231.192.180.1 to 231.192.180.254231.192.180.255254
182231.192.181.0/24231.192.181.1 to 231.192.181.254231.192.181.255254
183231.192.182.0/24231.192.182.1 to 231.192.182.254231.192.182.255254
184231.192.183.0/24231.192.183.1 to 231.192.183.254231.192.183.255254
185231.192.184.0/24231.192.184.1 to 231.192.184.254231.192.184.255254
186231.192.185.0/24231.192.185.1 to 231.192.185.254231.192.185.255254
187231.192.186.0/24231.192.186.1 to 231.192.186.254231.192.186.255254
188231.192.187.0/24231.192.187.1 to 231.192.187.254231.192.187.255254
189231.192.188.0/24231.192.188.1 to 231.192.188.254231.192.188.255254
190231.192.189.0/24231.192.189.1 to 231.192.189.254231.192.189.255254
191231.192.190.0/24231.192.190.1 to 231.192.190.254231.192.190.255254
192231.192.191.0/24231.192.191.1 to 231.192.191.254231.192.191.255254
193231.192.192.0/24231.192.192.1 to 231.192.192.254231.192.192.255254
194231.192.193.0/24231.192.193.1 to 231.192.193.254231.192.193.255254
195231.192.194.0/24231.192.194.1 to 231.192.194.254231.192.194.255254
196231.192.195.0/24231.192.195.1 to 231.192.195.254231.192.195.255254
197231.192.196.0/24231.192.196.1 to 231.192.196.254231.192.196.255254
198231.192.197.0/24231.192.197.1 to 231.192.197.254231.192.197.255254
199231.192.198.0/24231.192.198.1 to 231.192.198.254231.192.198.255254
200231.192.199.0/24231.192.199.1 to 231.192.199.254231.192.199.255254
201231.192.200.0/24231.192.200.1 to 231.192.200.254231.192.200.255254
202231.192.201.0/24231.192.201.1 to 231.192.201.254231.192.201.255254
203231.192.202.0/24231.192.202.1 to 231.192.202.254231.192.202.255254
204231.192.203.0/24231.192.203.1 to 231.192.203.254231.192.203.255254
205231.192.204.0/24231.192.204.1 to 231.192.204.254231.192.204.255254
206231.192.205.0/24231.192.205.1 to 231.192.205.254231.192.205.255254
207231.192.206.0/24231.192.206.1 to 231.192.206.254231.192.206.255254
208231.192.207.0/24231.192.207.1 to 231.192.207.254231.192.207.255254
209231.192.208.0/24231.192.208.1 to 231.192.208.254231.192.208.255254
210231.192.209.0/24231.192.209.1 to 231.192.209.254231.192.209.255254
211231.192.210.0/24231.192.210.1 to 231.192.210.254231.192.210.255254
212231.192.211.0/24231.192.211.1 to 231.192.211.254231.192.211.255254
213231.192.212.0/24231.192.212.1 to 231.192.212.254231.192.212.255254
214231.192.213.0/24231.192.213.1 to 231.192.213.254231.192.213.255254
215231.192.214.0/24231.192.214.1 to 231.192.214.254231.192.214.255254
216231.192.215.0/24231.192.215.1 to 231.192.215.254231.192.215.255254
217231.192.216.0/24231.192.216.1 to 231.192.216.254231.192.216.255254
218231.192.217.0/24231.192.217.1 to 231.192.217.254231.192.217.255254
219231.192.218.0/24231.192.218.1 to 231.192.218.254231.192.218.255254
220231.192.219.0/24231.192.219.1 to 231.192.219.254231.192.219.255254
221231.192.220.0/24231.192.220.1 to 231.192.220.254231.192.220.255254
222231.192.221.0/24231.192.221.1 to 231.192.221.254231.192.221.255254
223231.192.222.0/24231.192.222.1 to 231.192.222.254231.192.222.255254
224231.192.223.0/24231.192.223.1 to 231.192.223.254231.192.223.255254
225231.192.224.0/24231.192.224.1 to 231.192.224.254231.192.224.255254
226231.192.225.0/24231.192.225.1 to 231.192.225.254231.192.225.255254
227231.192.226.0/24231.192.226.1 to 231.192.226.254231.192.226.255254
228231.192.227.0/24231.192.227.1 to 231.192.227.254231.192.227.255254
229231.192.228.0/24231.192.228.1 to 231.192.228.254231.192.228.255254
230231.192.229.0/24231.192.229.1 to 231.192.229.254231.192.229.255254
231231.192.230.0/24231.192.230.1 to 231.192.230.254231.192.230.255254
232231.192.231.0/24231.192.231.1 to 231.192.231.254231.192.231.255254
233231.192.232.0/24231.192.232.1 to 231.192.232.254231.192.232.255254
234231.192.233.0/24231.192.233.1 to 231.192.233.254231.192.233.255254
235231.192.234.0/24231.192.234.1 to 231.192.234.254231.192.234.255254
236231.192.235.0/24231.192.235.1 to 231.192.235.254231.192.235.255254
237231.192.236.0/24231.192.236.1 to 231.192.236.254231.192.236.255254
238231.192.237.0/24231.192.237.1 to 231.192.237.254231.192.237.255254
239231.192.238.0/24231.192.238.1 to 231.192.238.254231.192.238.255254
240231.192.239.0/24231.192.239.1 to 231.192.239.254231.192.239.255254
241231.192.240.0/24231.192.240.1 to 231.192.240.254231.192.240.255254
242231.192.241.0/24231.192.241.1 to 231.192.241.254231.192.241.255254
243231.192.242.0/24231.192.242.1 to 231.192.242.254231.192.242.255254
244231.192.243.0/24231.192.243.1 to 231.192.243.254231.192.243.255254
245231.192.244.0/24231.192.244.1 to 231.192.244.254231.192.244.255254
246231.192.245.0/24231.192.245.1 to 231.192.245.254231.192.245.255254
247231.192.246.0/24231.192.246.1 to 231.192.246.254231.192.246.255254
248231.192.247.0/24231.192.247.1 to 231.192.247.254231.192.247.255254
249231.192.248.0/24231.192.248.1 to 231.192.248.254231.192.248.255254
250231.192.249.0/24231.192.249.1 to 231.192.249.254231.192.249.255254
251231.192.250.0/24231.192.250.1 to 231.192.250.254231.192.250.255254
252231.192.251.0/24231.192.251.1 to 231.192.251.254231.192.251.255254
253231.192.252.0/24231.192.252.1 to 231.192.252.254231.192.252.255254
254231.192.253.0/24231.192.253.1 to 231.192.253.254231.192.253.255254
255231.192.254.0/24231.192.254.1 to 231.192.254.254231.192.254.255254
256231.192.255.0/24231.192.255.1 to 231.192.255.254231.192.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses